This commit is contained in:
Bob Mottram 2018-04-02 12:23:20 +01:00
parent ead20fe57b
commit 9f42792e6a
1 changed files with 6 additions and 12 deletions

View File

@ -890,25 +890,21 @@ echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/source
apt-get -y update apt-get -y update
apt-get -yq install yarn apt-get -yq install yarn
#npm install --arch=$NPM_ARCH -g yarn@1.5.1 #if ! npm install --arch=$NPM_ARCH -g yarn@1.5.1; then
#if [ ! "\$?" = "0" ]; then
# echo $'PeerTube Failed to install yarn' # echo $'PeerTube Failed to install yarn'
# exit 79353234 # exit 79353234
#fi #fi
#npm install --arch=$NPM_ARCH webpack@3.10.0 --no-optional #if ! npm install --arch=$NPM_ARCH webpack@3.10.0 --no-optional; then
#if [ ! "\$?" = "0" ]; then
# echo $'PeerTube failed to install webpack' # echo $'PeerTube failed to install webpack'
# exit 68386353 # exit 68386353
#fi #fi
yarn install yarn install
yarn run build:prod yarn run build:prod
yarn add -D webpack if ! yarn add -D webpack; then
if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to add webpack' echo $'PeerTube failed to add webpack'
exit 67342823 exit 67342823
fi fi
yarn install --ignore-optional if ! yarn install --ignore-optional; then
if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to run yarn install' echo $'PeerTube failed to run yarn install'
exit 63754235 exit 63754235
fi fi
@ -918,8 +914,7 @@ if ! npm install --arch=$NPM_ARCH -g npm@4; then
exit 3476835 exit 3476835
fi fi
cp /root/.npm-global/bin/npm /usr/local/bin/npm cp /root/.npm-global/bin/npm /usr/local/bin/npm
npm install --arch=$NPM_ARCH if ! npm install --arch=$NPM_ARCH; then
if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to install peertube' echo $'PeerTube failed to install peertube'
exit 7835243 exit 7835243
fi fi
@ -928,8 +923,7 @@ if ! npm install --arch=$NPM_ARCH -g "npm@${NPM_VERSION}"; then
exit 5737583 exit 5737583
fi fi
cp /root/.npm-global/bin/npm /usr/local/bin/npm cp /root/.npm-global/bin/npm /usr/local/bin/npm
npm run build --arch=$NPM_ARCH if ! npm run build --arch=$NPM_ARCH; then
if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to build peertube' echo $'PeerTube failed to build peertube'
exit 5293593 exit 5293593
fi fi